## PowerPC PowerPC — code generation for PowerPC |

## Functions

const char * | powerpc_get_regname ()
int | powerpc_regnum ()
void | powerpc_add_fixup ()
void | powerpc_do_fixups ()
void | powerpc_emit ()
void | powerpc_emit_655510 ()
void | powerpc_emit_VA ()
void | powerpc_emit_VX ()
void | powerpc_emit_VX_2 ()
void | powerpc_emit_X ()
void | powerpc_emit_addi ()
void | powerpc_emit_b ()
void | powerpc_emit_beq ()
void | powerpc_emit_bne ()
void | powerpc_emit_label ()
void | powerpc_emit_lwz ()
void | powerpc_emit_ret ()
void | powerpc_emit_srawi ()
void | powerpc_emit_stwu ()
int | powerpc_get_constant ()

## Description

## Functions

### powerpc_get_regname ()

    const char *
    powerpc_get_regname (int i);

#### Returns

### powerpc_regnum ()

    int
    powerpc_regnum (int i);

#### Returns

### powerpc_add_fixup ()

    void
    powerpc_add_fixup (OrcCompiler *compiler,
                       int type,
                       unsigned char *ptr,
                       int label);

### powerpc_do_fixups ()

    void
    powerpc_do_fixups (OrcCompiler *compiler);

### powerpc_emit ()

    void
    powerpc_emit (OrcCompiler *compiler,
                  unsigned int insn);

### powerpc_emit_655510 ()

    void
    powerpc_emit_655510 (OrcCompiler *compiler,
                         int major,
                         int d,
                         int a,
                         int b,
                         int minor);

### powerpc_emit_VA ()

    void
    powerpc_emit_VA (OrcCompiler *compiler,
                     const char *name,
                     unsigned int insn,
                     int d,
                     int a,
                     int b,
                     int c);

### powerpc_emit_VX ()

    void
    powerpc_emit_VX (OrcCompiler *compiler,
                     unsigned int insn,
                     int d,
                     int a,
                     int b);

### powerpc_emit_VX_2 ()

    void
    powerpc_emit_VX_2 (OrcCompiler *p,
                       const char *name,
                       unsigned int insn,
                       int d,
                       int a,
                       int b);

### powerpc_emit_X ()

    void
    powerpc_emit_X (OrcCompiler *compiler,
                    unsigned int insn,
                    int d,
                    int a,
                    int b);

### powerpc_emit_addi ()

    void
    powerpc_emit_addi (OrcCompiler *compiler,
                       int regd,
                       int rega,
                       int imm);

### powerpc_emit_b ()

    void
    powerpc_emit_b (OrcCompiler *compiler,
                    int label);

### powerpc_emit_beq ()

    void
    powerpc_emit_beq (OrcCompiler *compiler,
                      int label);

### powerpc_emit_bne ()

    void
    powerpc_emit_bne (OrcCompiler *compiler,
                      int label);

### powerpc_emit_label ()

    void
    powerpc_emit_label (OrcCompiler *compiler,
                        int label);

### powerpc_emit_lwz ()

    void
    powerpc_emit_lwz (OrcCompiler *compiler,
                      int regd,
                      int rega,
                      int imm);

### powerpc_emit_ret ()

    void
    powerpc_emit_ret (OrcCompiler *compiler);

### powerpc_emit_srawi ()

    void
    powerpc_emit_srawi (OrcCompiler *compiler,
                        int regd,
                        int rega,
                        int shift,
                        int record);

### powerpc_emit_stwu ()

    void
    powerpc_emit_stwu (OrcCompiler *compiler,
                       int regs,
                       int rega,
                       int offset);

### powerpc_get_constant ()

    int
    powerpc_get_constant (OrcCompiler *p,
                          int type,
                          int value);

#### Returns

## Types and Values